Bug 449006 - ipa-adduser options
ipa-adduser options
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-05-29 16:57 EDT by Rob Crittenden
Modified: 2015-01-04 18:32 EST (History)
2 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:14:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add options to ipa-adduser and ipa-addgroup (8.92 KB, text/x-patch)
2008-05-30 10:27 EDT, Rob Crittenden
no flags Details

  None (edit)
Description Rob Crittenden 2008-05-29 16:57:15 EDT
Description of problem:

ipa-adduser doesn't have an option of "--setattr" as ipa-moduser does. What is
the best way to set attributes value (such as workphone number) when we create a
new user from command line?
Can we add "--setattr" option to ipa-adduser cmd?
Comment 1 Rob Crittenden 2008-05-30 10:27:11 EDT
Created attachment 307203 [details]
add options to ipa-adduser and ipa-addgroup

Add two now options, --addattr and --setattr, to allow arbitrar
y attributes to be added and set when a new user or group is created.

Make the user password not mandatory and add new option, -P, to prompt
for a password interactively.
Comment 2 Rob Crittenden 2008-05-30 11:24:02 EDT
master: 8f639ea9248dfdb38982d653e489866f3e33795a
ipa-1-0: 32800a792b721d1bbe0d54b9a282e76419a4a037
Comment 3 Yi Zhang 2008-06-10 13:44:30 EDT
QA Verified on June 9, 2008 (Yi)
Build used: June 9, 2008 (64bit RHEL 5.2)


server64[06/10/08 10:22]~ >ipa-adduser -c GECOS  -f cli -l 101 -p redhat123
--setattr homeDirectory=/home/share cli101
cli101 successfully added
server64[06/10/08 10:22]~ >ipa-finduser cli101 -a
dn: uid=cli101,cn=users,cn=accounts,dc=ipaqa,dc=com
Full Name: cli 101
GECOS: GECOS
GID: 1002
First Name: cli
Home Directory: /home/share
krblastpwdchange: 20080610172234Z
krbpasswordexpiration: 20080610172234Z
krbprincipalname: cli101@IPAQA.COM
Login Shell: /bin/sh
memberof: cn=ipausers,cn=groups,cn=accounts,dc=ipaqa,dc=com
objectclass: 
        top
        person
        organizationalPerson
        inetOrgPerson
        inetUser
        posixAccount
        krbPrincipalAux
        radiusprofile
Last Name: 101
Login: cli101
UID: 1124

Note You need to log in before you can comment on or make changes to this bug.